/* Đảm bảo Plyr wrapper làm gốc tọa độ */
.plyr {
  position: relative !important;
}

/* Khóa không cho chuột tác động trực tiếp vào nội dung Iframe Youtube */
.plyr__video-embed iframe {
  pointer-events: none !important;
  z-index: 1 !important;
}

/* Định vị tấm overlay phủ kín màn hình và nằm ĐÈ lên trên iframe */
.overlay-clicker {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%; 
  z-index: 10 !important;   /* Nổi lên trên tầng video */
  background: rgba(0, 0, 0, 0); /* Đảm bảo có nền trong suốt để trình duyệt bắt được click */
  cursor: pointer;
}

/* Đảm bảo thanh điều khiển luôn nổi lên cao nhất để không bị liệt nút */
.plyr__controls {
  position: relative;
  z-index: 20 !important; /* Cao hơn cả overlay-clicker */
}
/*Danh Sách Bài Học*/
.course-head{background-color: #e6e6e6;border-bottom: solid 2px #096dd9;border-radius: 8px 8px 0 0;}
.overflow-visible {overflow:visible}
.max-height-490{max-height:490px !important}


.main-lesson {
	background-color: #ddd;
}

.topic-box .toggle-icon {
	transition: transform .2s ease;
}

.topic-box.active .toggle-icon {
	transform: rotate(180deg);
}

.timeline {
	list-style: outside none none;
	margin: 5px 0 0 2px !important;
	padding: 0;
}

.timeline-item {
	border-bottom: 1px solid #e6e6e6;
	cursor: pointer;
	transition: all .2s ease;
	color: #4c4c4c;
	display: block;
	padding: 10px 10px 10px 40px;
	position: relative;
}

.timeline-item:hover {
	background-color: #f3f3f3;
}

.timeline-item:hover a {
	color: #ff4d4f;
}

.timeline-item::before {
	background: #e6e6e6 none repeat scroll 0 0;
	content: "";
	display: block;
	height: 100%;
	left: 20px;
	position: absolute;
	top: 0;
	width: 1px;
}

.timeline-item.active a{color: #ff4d4f}

.lesson-name::before {
	content: "";
	position: absolute;
	width: 22px;
	height: 22px;
	border-radius: 50%;
	margin-left: -31px;
	font-family: "FontAwesome";
	background: #fff;
}

.lesson-name.done::before {
	content: "\f05d" !important;
	border: none !important;
	background-image: none !important;
	font-size: 25px;
	color: #4caf50;
	display: flex;
	justify-content: center;
	align-items: center;
}

.img-lesson-list::before {
	border: 3px solid #096dd9;
}

.img-lesson-exam::before {
	content: "\f017";
	font-family: "FontAwesome";
	display: flex;
	justify-content: center;
	align-items: center;
	font-size: 26px;
	color: #5ea025 !important;
}

.img-lesson-livestream::before {
	background-image: url("https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiY_dC-4uACL8YJrgWDlmKOtOlpo5L6WfR02-tVtNITNdpviclPxVLN7ZCvTEFrx61_3yHcFfAzC5npvCXbrXiVXqx-5jtp_LQcNOEvwEEXTNiG_sqQcro42LyK-OTKrcK0eporb4WR8N0-qAC7Z3-LDqY52w-kzu-2ZJI6zHOi6PXVWv10XMuN-3H3S9s/s300/VIP%20%287%29.png");
	content: "";
	background-size: 22px 22px;
}

.progress-circle-container {
	width: 25px;
	height: 25px;
}

.circle-bg {
	fill: none;
	stroke: #fff;
	stroke-width: 6;
}

.circle {
	fill: none;
	stroke: var(--maincolor);
	stroke-width: 6;
	stroke-linecap: round;
	transition: stroke-dasharray .3s ease;
}

.topic-tooltip::before {
	top: 50%;
    left: calc(100% + 5px);
    transform: translateY(-50%) translateX(-10px);
    border-width: 6px;
    border-color: transparent #007991 transparent transparent;
}

.topic-tooltip::after {
    top: 50%;
    left: calc(100% + 11px);
    transform: translateY(-50%) translateX(-5px);
    background: linear-gradient(135deg, #007991, #00b4a0);
	bottom: unset !important;
	font-weight: 500;
}

.topic-tooltip:hover::after {
	transform: translateY(-50%) translateX(0);
}

.topic-tooltip:hover::before {
	transform: translateY(-50%) translateX(-5px);
}

/*Code Danh Sách Video Bài Học*/
.video-list__item{display:flex;flex-wrap:wrap;gap:5px;justify-content:space-between;align-items:center;margin-bottom:10px;font-size:16px;font-weight:500;transition:color 0.3s ease;cursor:pointer}
.video-list__item.active,.video-list__item:hover{color:#ff4d4f}
.video-views{font-size:15px}
